%define anolis_release 5

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Text::Wrap\\)$
%global __provides_exclude_from %{?__provides_exclude_from:%__provides_exclude_from|}^%{_libexecdir}

Name:               perl-Pod-Simple
Version:            3.43
Release:            %{anolis_release}%{?dist}
Summary:            Pramework for parsing POD documentation
License:            GPL+ or Artistic
URL:                https://metacpan.org/release/Pod-Simple
Source0:            https://cpan.metacpan.org/authors/id/K/KH/KHW/Pod-Simple-%{version}.tar.gz

BuildRequires:      coreutils gcc gcc-c++ make autoconf
BuildRequires:      perl-generators perl-interpreter
BuildRequires:      perl(ExtUtils::MakeMaker) >= 6.76 perl(strict)
BuildRequires:      perl(Carp) perl(Config) perl(Cwd) perl(Encode)
BuildRequires:      perl(File::Spec) perl(File::Basename) 
BuildRequires:      perl(Getopt::Long) perl(Pod::Escapes) >= 1.04
BuildRequires:      perl(integer) perl(if) perl(overload)
BuildRequires:      perl(vars) perl(Symbol) perl(warnings)
BuildRequires:      perl(Text::Wrap) >= 98.112902
BuildRequires:      perl(base) perl(Data::Dumper)
BuildRequires:      perl(File::Find) perl(File::Path)
BuildRequires:      perl(FindBin) perl(lib)
BuildRequires:      perl(Test) >= 1.25 perl(Test::More)
BuildRequires:      perl(utf8) perl(parent) perl(Test::Deep)

BuildArch:      noarch

%description
Pod::Simple is a Perl library for parsing text in the Pod ("plain old documentation") 
markup language that is typically used for writing documentation for Perl and for Perl 
modules. The Pod format is explained in perlpod; the most common formatter is called 
perldoc.

%package tests
Summary:        Tests for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       perl(FindBin) perl-Test-Harness

%description tests
Tests from %{name}. Execute them with "%{_libexecdir}/%{name}/test".

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n Pod-Simple-%{version} -p1

for F in t/*.t t/*.pl; do
    %{__perl} -i -MConfig -ple 'print $Config{startperl} if $. == 1 && !s{\A#!.*perl\b}{$Config{startperl}}' "$F"
    chmod +x "$F"
done

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} $RPM_BUILD_ROOT/*

mkdir -p %{buildroot}%{_libexecdir}/%{name}
cp -a t %{buildroot}%{_libexecdir}/%{name}

cat > %{buildroot}%{_libexecdir}/%{name}/test << 'EOF'
#!/bin/sh
set -e
# Some tests write into temporary files/directories. The easiest solution
# is to copy the tests into a writable directory and execute them from there.
DIR=$(mktemp -d)
pushd "$DIR"
cp -a %{_libexecdir}/%{name}/* ./
prove -I . -j "$(getconf _NPROCESSORS_ONLN)"
popd
rm -rf "$DIR"
EOF

chmod +x %{buildroot}%{_libexecdir}/%{name}/test

%check
unset PERL_CORE PERL_TEST_DIFF
export HARNESS_OPTIONS=j$(perl -e 'if ($ARGV[0] =~ /.*-j([0-9][0-9]*).*/) {print $1} else {print 1}' -- '%{?_smp_mflags}')
make test

%files
%{perl_vendorlib}/*
%{_mandir}/man3/*

%files tests
%{_libexecdir}/%{name}

%files doc
%doc README ChangeLog 

%changelog
* Thu Apr 13 2023 chen_yu_ao <m15927509890@163.com> - 3.43-5
- change spec file format

* Mon Feb 06 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 3.43-4
- remove versioned MODULE_COMPAT_ requires

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 3.43-3
- rebuild with perl 5.36.0

* Fri Sep 30 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 3.43-2
- add doc package

* Wed Mar 09 2022 Su Lifan <su-lifan@linux.alibaba.com> - 3.43-1
- Initial packaging for Anolis OS 23
